Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Timer_Helper Class Reference

Timer Helper for the clerk. More...

`#include <Timer_Helper.h>`

Inheritance diagram for Timer_Helper:

[legend]
Collaboration diagram for Timer_Helper:

[legend]
List of all members.

## Public Methods
| Timer_Helper (void)
| Constructor. More...
| ~Timer_Helper (void)
| Destructor. More...
| Timer_Helper (TAO_Time_Service_Clerk *clerk)
| Constructor that sets the clerk. More...
int | handle_timeout (const ACE_Time_Value &time, const void *arg)
| This method is called periodically by the Reactor to update the clerk's time. More...
## Protected Types
typedef ACE_Array_Base< CosTime::TimeService_var > | IORS
| The set of server IORs. More...
## Protected Attributes
TAO_Time_Service_Clerk * | clerk_
| Clerk's instance that this class helps to update time. More...

## Detailed Description

Timer Helper for the clerk.

The handle timeout method of this class is called periodically by the reactor. This method updates the clerk's notion of globally synchronized time by contacting the various Time Servers.

## Member Typedef Documentation

typedef ACE_Array_Base<CosTime::TimeService_var> Timer_Helper::IORS`[protected]`

| The set of server IORs.

## Constructor & Destructor Documentation

Timer_Helper::Timer_Helper | ( | void |  | ) |

| Constructor.

Timer_Helper::~Timer_Helper | ( | void |  | ) |

| Destructor.

Timer_Helper::Timer_Helper | ( | TAO_Time_Service_Clerk * | clerk | ) |

| Constructor that sets the clerk.

## Member Function Documentation

int Timer_Helper::handle_timeout | ( | const ACE_Time_Value & | time,
|  | const void * | arg
| ) | `[virtual]`

| This method is called periodically by the Reactor to update the clerk's time. Reimplemented from ACE_Event_Handler.

## Member Data Documentation

TAO_Time_Service_Clerk* Timer_Helper::clerk_`[protected]`

| Clerk's instance that this class helps to update time.

The documentation for this class was generated from the following files:

- Timer_Helper.h
- Timer_Helper.cpp